%global svn 262

%if %{?fedora}%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Summary:     Graphic stand-alone administration for memcached to monitor and debug purpose
Name:        phpMemcachedAdmin
Version:     1.2.2
Release:     5.svn%{svn}%{?dist}
License:     ASL 2.0
Group:       Applications/Internet
URL:         http://code.google.com/p/phpmemcacheadmin/
Source0:     http://phpmemcacheadmin.googlecode.com/files/%{name}-%{version}-r%{svn}.tar.gz
Source1:     phpMemcachedAdmin.htaccess
#Missing license file, see:
#https://code.google.com/p/phpmemcacheadmin/issues/detail?id=17
Source2:     phpMemcachedAdmin.LICENSE
Requires:    httpd, mod_php
Requires:    php-common >= 5.2.0
Requires:    php-date
%if %{useselinux}
Requires(post):   /sbin/service
Requires(post):   /sbin/restorecon
Requires(post):   /usr/sbin/semanage
Requires(postun): /usr/sbin/semanage
BuildRequires:  selinux-policy-devel, checkpolicy
%endif
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Graphic stand-alone administration for memcached to monitor and debug purpose.

This program allows to see in real-time (top-like) or from the start of the
server, stats for get, set, delete, increment, decrement, evictions, reclaimed,
cas command, as well as server stats (network, items, server version) with
googlecharts and server internal configuration.

You can go further to see each server slabs, occupation, memory wasted and
items (key & value).

Another part can execute commands to any memcached server : get, set, delete,
flush_all, as well as execute any commands (like stats) with telnet.

To extract this information, phpMemcacheAdmin uses, as you wish, direct
communication with server, PECL Memcache or PECL Memcached API. 


%prep
%setup -q -c %{name}-%{version}-r%{svn}
find ./* -type f -executable | xargs chmod -x
sed -i -e 's|Temp/|%{_localstatedir}/lib/%{name}/Temp/|' \
    Config/Memcache.php
sed -i -e "s|./Config/|%{_sysconfdir}/%{name}/|" \
    Library/Configuration/Loader.php
cp %{SOURCE2} LICENSE


%build
#empty build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/{httpd/conf.d,%{name}}}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/Temp
install -p -m 644 *.php $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -ad Library $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -ad Public $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -ad View $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 Config/Memcache.php $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post
%if %{useselinux}
(
# File context
semanage fcontext -a -s system_u -t httpd_sys_script_rw_t -r s0 "%{_sysconfdir}/%{name}(/.*)?"
semanage fcontext -a -s system_u -t httpd_sys_script_rw_t -r s0 "%{_localstatedir}/lib/%{name}(/.*)?"
# files created by app
restorecon -R %{_sysconfdir}/%{name}
restorecon -R %{_localstatedir}/lib/%{name}
) &>/dev/null
%endif
/sbin/service httpd condrestart > /dev/null 2>&1 || :


%postun
%if %{useselinux}
if [ "$1" -eq "0" ]; then
    # Remove the File Context
    (
    semanage fcontext -d "%{_sysconfdir}/%{name}(/.*)?"
    semanage fcontext -d "%{_localstatedir}/lib/%{name}(/.*)?"
    ) &>/dev/null
fi
%endif
/sbin/service httpd condrestart > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %attr(-,apache,apache) %{_sysconfdir}/%{name}/Memcache.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %{_localstatedir}/lib/%{name}/
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}/Temp

%changelog
* Sat Nov 24 2012 Johan Cwiklinski <johan AT x-tnd DOT be> 1.2.2-5.svn262
- Fix a typo
- Add licence file

* Fri Nov 23 2012 Johan Cwiklinski <johan AT x-tnd DOT be> 1.2.2-4.svn262
- missing php-date requires
- missing ending dots in %%description

* Tue Nov 12 2012 Johan Cwiklinski <johan AT x-tnd DOT be> 1.2.2-3.svn262
- Make config writable from web interface (with selinux also)

* Tue Nov 12 2012 Johan Cwiklinski <johan AT x-tnd DOT be> 1.2.2-2.svn262
- Use -executable instead of -perm
- Better php requires

* Mon Nov 12 2012 Johan Cwiklinski <johan AT x-tnd DOT be> 1.2.2-1.svn262
- Initial packaging
